using System.Collections.Generic;
using Valg.EVA.Skanning.ServicesModel.ElectionConfig.Model;

namespace Valg.EVA.Skanning.ServicesModel.ElectionConfig.DataProvider
{
    public interface ICandidateListDataProvider
    {
        PollingDistrict GetPollingDistrict(string electionEventId, string pollingDistrictId);
        List<Affiliation> GetAffiliations(string electionEventId, string contestIdentifier);
        Affiliation GetAffiliation(string electionEventId, string contestIdentifier, string affiliationShortCode);
        List<Candidate> GetWriteInCandidates(string electionEventId, string contestIdentifier, string affiliationShortCode);
        List<PollingDistrict> GetPollingDistricts(string electionEventId);
    }
}

